/*
 * PWM.h
 *
 *  Created on: 2021. 3. 9.
 *      Author: User
 */

#ifndef PWM_PWM_H_
#define PWM_PWM_H_

#include "Ifx_Types.h"
#include "IfxGtm_Tom_PwmHl.h"
#include "IfxGtm_Trig.h"

extern IfxGtm_Tom_PwmHl PWMHlHandler;
extern IfxGtm_Tom_Timer PWMTimerHandler;
extern IfxStdIf_Timer PWMTimerInterface;
extern IfxStdIf_PwmHl PWMHlInterface;

void PWM_Init(void);
void PWM_setDuty(Ifx_TimerValue* tOn, Ifx_TimerValue adcTon);
Ifx_TimerValue PWM_getPeriod(void);
Ifx_TimerValue PWM_getDeadTime(void);

#endif /* PWM_PWM_H_ */
