/*
 * Current.h
 *
 *  Created on: 2021. 3. 10.
 *      Author: User
 */

#ifndef MOTOR_DEVICE_CURRENT_H_
#define MOTOR_DEVICE_CURRENT_H_

#include "Ifx_Types.h"
#include "VADC.h"

typedef struct {
	IfxVadc_Adc_Channel* object;
	float32 gain;
	float32 offset;
	uint32 rawValue;
	float32 scaled;
} Current_t;



void CURR_init(Current_t* VRO, Current_t* U, Current_t* V);
float32 CURR_update(Current_t* src);
float32 CURR_updateDRC(Current_t* src);

#endif /* MOTOR_DEVICE_CURRENT_H_ */
