/*
 * Current.c
 *
 *  Created on: 2021. 3. 10.
 *      Author: User
 */


#include "Current.h"

void CURR_init(Current_t* VRO, Current_t* U, Current_t* V) {
}

float32 CURR_update(Current_t* src) {

	float32 scaled;
	uint32 rawValue;

	rawValue = IfxVadc_Adc_getResult(src->object).B.RESULT;
	scaled = ((float32)src->gain * rawValue + src->offset);

	src->rawValue = rawValue;
	src->scaled = scaled;

	return scaled;
}

float32 CURR_updateDRC(Current_t* src) {

	float32 scaled;
	uint32 rawValue;

	rawValue = IfxVadc_Adc_getResult(src->object).B.RESULT >> 2;
	scaled = ((float32)src->gain * rawValue + src->offset);

	src->rawValue = rawValue;
	src->scaled = scaled;

	return scaled;
}
